Skip to main content
GET
Retrieves the payment received details.

Headers

Authorization
string
required

Value must be 'Bearer ' where is an API key prefixed with 'bc_' or a JWT token.

Example:

"Bearer bc_1234567890abcdef"

organization-id
string
required

Required if Authorization is a JWT token. The organization ID to operate within.

accept
string
required

Path Parameters

id
number
required

Response

200 - application/json

The payment received details have been successfully retrieved.

id
number
required

The unique identifier of the payment received

Example:

1

paymentReceiveNo
string
required

The payment receive number

Example:

"PR-001"

paymentDate
object
required

The date of the payment

Example:

"2023-01-01T00:00:00Z"

formattedPaymentDate
string
required

The formatted payment date

Example:

"2023-01-01"

customerId
number
required

The customer ID

Example:

1

amount
number
required

The amount received

Example:

100

formattedAmount
string
required

The formatted amount

Example:

"100.00"

formattedTotal
string
required

The formatted total

Example:

"100.00 USD"

currencyCode
string
required

The currency code

Example:

"USD"

exchangeRate
number
required

The exchange rate

Example:

1

formattedExchangeRate
string
required

The formatted exchange rate

Example:

"1.00"

depositAccountId
number
required

The ID of the deposit account

Example:

2

depositAccount
object
required

Deposit account details

userId
number
required

The user ID who created the payment

Example:

5

createdAt
object
required

The date when the payment was created

Example:

"2023-01-01T00:00:00Z"

formattedCreatedAt
string
required

The formatted created at date

Example:

"2023-01-01"

entries
object[]
required

The entries of the payment received

Example:
referenceNo
string

The reference number

Example:

"REF-001"

statement
string

The statement or note

Example:

"Payment for invoice INV-001"

branchId
number

The ID of the branch

Example:

1

branch
object

Branch details

pdfTemplateId
number

The ID of the PDF template

Example:

1

pdfTemplate
object

PDF template details

Example:
updatedAt
object

The date when the payment was last updated

Example:

"2023-01-02T00:00:00Z"

attachments
object[]

The attachments of the payment received

Example: